[or-cvs] r16953: {torvm} More win32 driver build fixes / improvements. (in torvm/trunk/build/win32: files patches)

coderman at seul.org coderman at seul.org
Wed Sep 24 03:30:14 UTC 2008


Author: coderman
Date: 2008-09-23 23:30:14 -0400 (Tue, 23 Sep 2008)
New Revision: 16953

Modified:
   torvm/trunk/build/win32/files/buildall.sh
   torvm/trunk/build/win32/patches/openvpn-tor-tap-win32-driver.patch
Log:
More win32 driver build fixes / improvements.

Modified: torvm/trunk/build/win32/files/buildall.sh
===================================================================
--- torvm/trunk/build/win32/files/buildall.sh	2008-09-24 02:54:52 UTC (rev 16952)
+++ torvm/trunk/build/win32/files/buildall.sh	2008-09-24 03:30:14 UTC (rev 16953)
@@ -171,13 +171,13 @@
 echo "call $DDKENV $DDKDIR wxp f" > dobuild.bat
 echo "cd \"$BPATH\"" >> dobuild.bat
 echo "build -cef" >> dobuild.bat
-echo "exit 0" >> dobuild.bat
+echo "exit" >> dobuild.bat
 cmd.exe /k dobuild.bat
-if (( $? != 0 )); then
+TAPDRVN=tortap91
+if [ ! -f i386/${TAPDRVN}.sys ]; then
   echo "ERROR: openvpn tap-win32 driver build failed." >&2
   exit 1
 fi
-TAPDRVN=tortap91
 cp i386/${TAPDRVN}.sys $libdir/
 cp i386/OemWin2k.inf $libdir/${TAPDRVN}.inf
 
@@ -194,9 +194,9 @@
 echo "call $DDKENV $DDKDIR w2k f" > dobuild.bat
 echo "cd \"$BPATH\"" >> dobuild.bat
 echo "./CompileDriver" >> dobuild.bat
-echo "exit 0" >> dobuild.bat
+echo "exit" >> dobuild.bat
 cmd.exe /k dobuild.bat
-if (( $? != 0 )); then
+if [ ! -f driver/bin/2k/i386/npf.sys ]; then
   echo "ERROR: WinPcap NPF.sys driver build failed." >&2
   exit 1
 fi
@@ -252,6 +252,7 @@
 
 # last but not least, include the virtual disk and other parts
 cp /usr/src/add/* $libdir/
+cp /usr/src/add/hdd.img $statedir/
 
 echo "DONE."
 exit 0

Modified: torvm/trunk/build/win32/patches/openvpn-tor-tap-win32-driver.patch
===================================================================
--- torvm/trunk/build/win32/patches/openvpn-tor-tap-win32-driver.patch	2008-09-24 02:54:52 UTC (rev 16952)
+++ torvm/trunk/build/win32/patches/openvpn-tor-tap-win32-driver.patch	2008-09-24 03:30:14 UTC (rev 16953)
@@ -127,6 +127,14 @@
  
  # Produce the same symbolic information for both free & checked builds.
  # This will allow us to perform full source-level debugging on both
+diff -Naur orig-openvpn-2.1_rc10/tap-win32/common.h mod-openvpn-2.1_rc10/tap-win32/common.h
+--- orig-openvpn-2.1_rc10/tap-win32/common.h	2008-08-10 18:35:25.000000000 +0000
++++ mod-openvpn-2.1_rc10/tap-win32/common.h	2008-09-24 05:05:38.596128150 +0000
+@@ -90,3 +90,4 @@
+ //=========================================================
+ 
+ #define TAP_COMPONENT_ID TAP_ID
++#define PRODUCT_TAP_DEVICE_DESCRIPTION "Tor VM TAP-Win32 Network Device Driver"
 diff -Naur orig-openvpn-2.1_rc10/tap-win32/resource.rc mod-openvpn-2.1_rc10/tap-win32/resource.rc
 --- orig-openvpn-2.1_rc10/tap-win32/resource.rc	2008-08-10 18:35:25.000000000 +0000
 +++ mod-openvpn-2.1_rc10/tap-win32/resource.rc	2008-09-24 03:00:42.600211095 +0000



More information about the tor-commits mailing list